package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author duanruiming
 * @date 2024/12/05 15:20
 */
@Getter
@AllArgsConstructor
public enum CrossOptStrategyEnum {
    ZERO(0, "无策略"),
    ONE(1, "绿灯空放"),
    TWO(2, "失衡"),
    THREE(3, "溢出");

    private int code;
    private String desc;

    public static String getDesc(int code) {
        for (CrossOptStrategyEnum value : CrossOptStrategyEnum.values()) {
            if (code == value.code) {
                return value.getDesc();
            }
        }
        return "无策略";
    }
}
